
Figure - Bug #115177
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111049 (New): AF-V2.0-副屏遥控器

【AF】【EVT】【遥控器】点击电源按钮，再点击两次屏保，一次返回，重复点击电源按钮，设备出现紧急
报警页面
2023-01-09 14:59 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-01-18

Test Type: ST Root cause: 该问题为是安卓原生手势操作，GestureLauncherService的interceptPowerKeyDown方法会对连续多次点击电源事件进行解析和处理，连续点击电源键会进行紧急呼叫

Description

【前提条件】

1、设备已开机

【测试步骤】

1、连接遥控器’

2、点击电源按钮

3、点击两次屏保

4、一次返回

5、重复点击电源按钮

【预期结果】

5、根据点击电源按键时设备的情况，打开或关闭设备

【实际结果】

5、重复点击电源按钮后，设备出现紧急报警页面

History

#1 - 2023-01-09 15:03 - CD FW 曹覃刚

- Status changed from New to ASSIGNED

- Assignee changed from CD FW 曹覃刚 to CD FW-程天颖

#2 - 2023-01-11 10:00 - CD FW-程天颖

- Root cause set to 该问题为是安卓原生手势操作，GestureLauncherService的interceptPowerKeyDown方法会对连续多次点击电源事件进行解析和处理，连续

点击电源键会进行紧急呼叫

■ Current conclusion

产生该问题的原因已定位

■ My analysis

该问题为是安卓原生手势操作，GestureLauncherService的interceptPowerKeyDown方法会对连续多次点击电源事件进行解析和处理，连续点击电源键会进行

紧急呼叫

■ Next action

下一步将进行对手势操作的裁剪
#3 - 2023-01-11 15:54 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

175832 general/platform/frameworks/base Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Gesture：Fixed can be star some app by click power buttonTC-RID: 1201-0205201IssueID: TS-R-BUG-115177Change-Id:

Id1c3ff91c559d50473c1a4a156d325b07c4fac0b

#4 - 2023-01-11 15:57 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-11

■ Current conclusion

bug已解决，提交已入库

■ My analysis

该问题为是安卓原生手势操作，GestureLauncherService的interceptPowerKeyDown方法会对连续多次点击电源事件进行解析和处理，连续点击电源键会进行

紧急呼叫

现在已经把电源连续点击的手势关闭

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/frameworks/base/+/175832

#5 - 2023-01-13 15:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

1.13

验证通过

#6 - 2023-01-13 15:09 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

#7 - 2023-01-18 16:41 - CD FW-程天颖

- Status changed from CLOSED to New

- Assignee changed from CD TEST-方永红 to CD FW-程天颖

- % Done changed from 100 to 50

这次屏蔽手势操作导致了设置中的系统手势页面消失，所以打开票。

#8 - 2023-01-18 16:45 - CD FW-程天颖
- Status changed from New to ASSIGNED

■ Current conclusion

代码已提交，https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/177316

■ My analysis

设置中的手势preference的controller控制显示与否的条件判断缺少了系统导航的controller的控制，需要在手势的controller中添加判断条件

■ Next action

代码入库

#9 - 2023-01-18 18:28 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

177316 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: fix System Navigation Preference can`t showTC-RID: 1201-0201809IssueID: TS-R-BUG-115177Change-Id:

I5293e84e510fb3fd9c1eb6959a141412e35bf920

#10 - 2023-01-18 18:42 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 50 to 100

■ Current conclusion

设置中手势消失的问题已解决

■ My analysis

该问题为是安卓原生手势操作，GestureLauncherService的interceptPowerKeyDown方法会对连续多次点击电源事件进行解析和处理，连续点击电源键会进行

紧急呼叫

■Submit URL:

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/177316

#11 - 2023-01-18 18:42 - CD FW-程天颖

- Fixed Version changed from 2023-01-11 to 2023-01-18

#12 - 2023-01-30 11:16 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

1.30

手势功能恢复

#13 - 2023-01-30 11:16 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files
